Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jdbc.metadata
Interface JDBCColumnNames.INDEX_INFO

Enclosing interface:
  JDBCColumnNames

    public static interface JDBCColumnNames.INDEX_INFO

This class contains constants representing column names on ResultSet returned by getIndexInfo method on DatabaseMetaData. These constant values are be used to hard code the column names used in construction the ResultSet obj.

Field Summary
`static String` | `ASC_OR_DESC`
`static String` | `CARDINALITY`
`static String` | `COLUMN_NAME`
`static String` | `FILTER_CONDITION`
`static String` | `INDEX_NAME`
`static String` | `INDEX_QUALIFIER`
`static String` | `NON_UNIQUE`
`static String` | `ORDINAL_POSITION`
`static String` | `PAGES`
`static String` | `TABLE_CAT`
`static String` | `TABLE_NAME`
`static String` | `TABLE_SCHEM`
`static String` | `TYPE`

Field Detail

### TABLE_CAT

    static final String TABLE_CAT

See Also:
  Constant Field Values

### TABLE_SCHEM

    static final String TABLE_SCHEM

See Also:
  Constant Field Values

### TABLE_NAME

    static final String TABLE_NAME

See Also:
  Constant Field Values

### NON_UNIQUE

    static final String NON_UNIQUE

See Also:
  Constant Field Values

### INDEX_QUALIFIER

    static final String INDEX_QUALIFIER

See Also:
  Constant Field Values

### INDEX_NAME

    static final String INDEX_NAME

See Also:
  Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

### ORDINAL_POSITION

    static final String ORDINAL_POSITION

See Also:
  Constant Field Values

### COLUMN_NAME

    static final String COLUMN_NAME

See Also:
  Constant Field Values

### ASC_OR_DESC

    static final String ASC_OR_DESC

See Also:
  Constant Field Values

### CARDINALITY

    static final String CARDINALITY

See Also:
  Constant Field Values

### PAGES

    static final String PAGES

See Also:
  Constant Field Values

### FILTER_CONDITION

    static final String FILTER_CONDITION

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.